std::basic_const_iterator::operator++,--,+=,-=(3)

NAME
std::basic_const_iterator::operator++,--,+=,-= - std::basic_const_iterator::operator++,--,+=,-=

Synopsis
   constexpr basic_const_iterator& operator++(); (1) (since C++23)
   constexpr void operator++(int); (2) (since C++23)
   constexpr basic_const_iterator operator++(int) (3) (since C++23)
       requires std::forward_iterator<Iter>;
   constexpr basic_const_iterator& operator--() (4) (since C++23)
       requires std::bidirectional_iterator<Iter>;
   constexpr basic_const_iterator operator--(int) (5) (since C++23)
       requires std::bidirectional_iterator<Iter>;
   constexpr basic_const_iterator& operator+=( difference_type n ) (6) (since C++23)
       requires std::random_access_iterator<Iter>;
   constexpr basic_const_iterator& operator-=( difference_type n ) (7) (since C++23)
       requires std::random_access_iterator<Iter>;
   Increments or decrements the iterator, by applying the corresponding operation on
   the underlying iterator.
   1-3) Increments by one.
   4,5) Decrements by one.
   6,7) Advances the iterator by n or -n positions respectively.

Return value
   1,4,6,7) *this
   3,5) A copy of *this that was made before the change
   2) (none)

Example
    This section is incomplete
    Reason: no example

See also
   operator++
   operator++(int)
   operator+=
   operator+ advances or decrements the iterator
   operator-- (public member function of std::move_iterator<Iter>)
   operator--(int)
   operator-=
   operator-
   (C++11)

Category:
     * Todo no example